# Confirm APM payment

Create a confirm payment request for smart button functionality.

Endpoint: POST /apmPayments/{paymentId}/confirmations
Version: 2024-07-01
Security: BasicAuth

## Security:

  - `BasicAuth` (unknown)
    http basic

## Path parameters:

  - `paymentId` (string, required)
    The identifier of the payment resource.

## Header parameters:

  - `WP-Api-Version` (string, required)
    The API version.

## Response 201:

  - `201` (unknown)
    Request successful

## Response 201 fields (application/json):

  - `paymentId` (string)
    The identifier of the payment resource.

  - `commandId` (string)
    An action ID generated by us, identifying a single merchant interaction.
    Example: cmdYNdIHBPJwbkjLiykzTx0

  - `lastEvent` (string)
    Enum: "authorized", "cancelFailed", "cancelled", "cancelRequested", "sentForSettlement", "sentForAuthorization", "settlementFailed", "chargebackReversed", "chargedBack", "disputeExpired", "disputeFundsHeld", "disputeFundsReleased", "disputeReserveReleased", "error", "expired", "disputeInformationRequested", "disputeInformationSupplied", "miscellaneous", "pending", "refunded", "refundExpired", "refundFailed", "refundReversed", "refused", "refusedByIssuer", "requestExpired", "sentForRefund", "settled", "settlementReversed", "cancelledByCustomer", "signedFormReceived", "unknown", "manuallyAmended"

  - `_links` (object)
    Links to resources related to the request.

  - `_links.self` (object)
    The URL you can invoke to fetch the last event for the payment.

  - `_links.self.href` (string)

  - `_actions` (object)

## Response 400:

  - `400` (unknown)
    Bad request.

## Response 400 fields (application/json):

  - `errorName` (string)

  - `message` (string)

  - `validationErrors` (array)

## Response 401:

  - `401` (unknown)
    Client is not authorized due to missing or invalid Authorization header.

## Response 401 fields (application/json):

  - `errorName` (string)

  - `message` (string)

## Response 404:

  - `404` (unknown)
    Payment resource not found.

## Response 404 fields (application/json):

  - `errorName` (string)

  - `message` (string)

  - `validationErrors` (array)

## Response 500:

  - `500` (unknown)
    A problem occurred processing the request on our side.

## Response 500 fields (application/json):

  - `errorName` (string)

  - `message` (string)

## Response 201 examples:

  - `Full example` (unknown)

## Response 400 examples:

  - `Example` (unknown)

## Response 401 examples:

  - `Example` (unknown)

## Response 404 examples:

  - `Example` (unknown)

## Response 500 examples:

  - `Example` (unknown)

